import { model, Schema } from 'mongoose';
import passportLocalMongoose from 'passport-local-mongoose';
const userSchema = new Schema({
    email: { type: String, required: true, unique: true },
});
userSchema.plugin(passportLocalMongoose, { usernameField: 'email' });
userSchema.index({ email: 1 });
export const UserModel = model('User', userSchema);
